Bug 137682 - Device icons on desktop don't work (not using udev)
Device icons on desktop don't work (not using udev)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 11:58 EDT by Philippe Rigault
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Rigault 2004-10-30 11:58:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
The devices icons on the KDE desktop do not work, because they are configured for /dev and not udev.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install KDE
2. Log into KDE
3. Click on a device icon (e.g CD/DVD-ROM) on the desktop
    

Actual Results:  Error message: can't find device

Expected Results:  Mounts the device in question

Additional info:

The problem is that the KDE desktop icons are configured with /dev entries (CD/DVD-ROM points to /dev/cdrom) and the system uses udev.

Fix: Users have to re-configure device properties for udev, e.g for CD/DVD-ROM:
	/dev/hda (/media/cdrecorder)
Comment 1 Ngo Than 2004-11-04 11:34:32 EST
please remove the CD.desktop and floppy.desktop your $HOME/Desktop/
and enable "Show device icons" afterward
(kcontrol->Desktop->Behavior->Device Icons->Show divice icons. It will
work for you

The kdebase-3.3.1-6 will enable "Show device icons" as default. It
will be release after FC3 official released.
Comment 2 Philippe Rigault 2004-11-05 09:36:49 EST
Reopened, since the suggested solution has problems. 
 
After enabling how devide icons (I selected unmounted/mounted 
CD/DVD), I have two icons on the desktop: 
 
CD-ROM (hdc) [/media/cdrecorder1] 
CD-ROM (hdd) [/media/cdrecorder] 
 
Note: hdc is in reality a CD-RW/DVD and hdd is a DVD-RW, so the 
logical names aren´t quite correct. 
 
1. Renaming these icons does not work, although it is authorized: 
Since the name of (hdd) is not quite right, I tried to rename it by 
right-clicking on the icon and selecting 'Rename'. This highlights 
the name, as expected, and lets me retype another name. However, upon 
finish (clicking elsewhere or typing Enter), I get two popups: 
 - Information: "Could not delete file 
devices:/dev/hddmediacdrecorder 
 - Copy file progress (Source:devices:/dev/hddmediacdrecorder, 
Destination blank) stalled at 0% 
 
2. The hdc device does not work. I did not try it before, and it does 
not mount from the command line ('mount /media/cdrecorder'), so this 
is rather a udev/mount question. 
 
I get the error message: 
 
mount:/dev/hdc already mounted or /media/cdrecorder busy 
Please check that the disk is entered correctly 
 
In /etc/fstab: 
/dev/hdd                /media/cdrecorder       auto    
pamconsole,ro,exec,noauto,managed 0 0 
/dev/hdc                /media/cdrecorder1      auto    
pamconsole,ro,exec,noauto,managed 0 0 
 
 
 
 
Comment 3 Matthew Miller 2006-07-10 18:30:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 11:25:28 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.